---
import SectionHeader from "../SectionHeader/SectionHeader";
import "./blog.sass";
const res = await fetch(import.meta.env.PUBLIC_API_URL + "/posts/");
const data = (await res.json()).data;
---

<section id="blog">
  <SectionHeader title="Blog posts" tagline="Making things" />
  <div class="posts">
    {
      data.splice(0, 3).map((post: BlogPost) => {
        return (
          <article>
            <img src={post.feature_image.thumb} alt={post.title} />
            <div>
              <h4>{post.title}</h4>
              <a href={"/post/" + post.slug}>
                <button>Read more</button>
              </a>
            </div>
          </article>
        );
      })
    }
  </div>
  <a href="/posts/1">View all posts</a>
</section>
